Bug 193865 - CVE-2006-2447 spamassassin arbitrary command execution
CVE-2006-2447 spamassassin arbitrary command execution
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: spamassassin (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
impact=moderate,source=apache,public=...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 09:52 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0543
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-06 13:55:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-06-02 09:52:42 EDT
CVE-2006-2447 spamassassin arbitrary command execution

If spamd is run with the
"-v" / "--vpopmail" switch, AND with the "-P" / "--paranoid" switch
It becomes possible to execute arbitrary commands as the user spamd is
running as.

This issue is mitigated by the fact that no imap servers as shipped
with RHEL support vpopmail.  These options are also not the default
spamd options when it is started as a service.
Comment 3 Josh Bressers 2006-06-05 16:33:15 EDT
Lifting embargo.
Comment 5 Red Hat Bugzilla 2006-06-06 13:55:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0543.html

Note You need to log in before you can comment on or make changes to this bug.